/*
  カスタマイズ可能なパラメータ
*/
#ifndef CONFIG_H
#define CONFIG_H
#include <assert.h>

// emap表示など、デバッグ用機能を有効にする
#define DEBUG

#define BASENAME "uroboro"

#define MAJOR_VERSION 0
#define MINOR_VERSION 01

#define SAVE_DIR "." BASENAME
//#define ACHIEVEMENTS_FILE "uroboro.dat"
#define CONFIG_FILE BASENAME ".cfg"
//#define STAGE_DIR "stage"
//#define STAGE_RECORD_DIR "record"
//#define CAMPAIGN_DIR "campaign"
//#define CUSTOM_DIR "custom"

//#define STAGE_RECORD_EXT "sav"
//#define STAGE_EXT "stg"


#define LOG_FILE ".log"
#define LOG_OUTPUT_STDERR_DEFAULT 1
#define LOG_OUTPUT_FILE_DEFAULT 1
#define LOG_LIMIT (1024*1024)

#define APPLICATION_ID "\000UROBOR\000"
#define APPLICATION_ID_SIZE 8

#define GAME_SPEED 100

#define GAME_CLEAR_COUNTDOWN (1000/GAME_SPEED*3)
#define GAME_DYING_COUNTDOWN (1000/GAME_SPEED*3)

#define OBJ_NUM_MAX 100


#endif
