#ifndef DRAW_H
#define DRAW_H
#include "config.h"
#include "layout.h"
#include "font.h"
#include "snake.h"
#include "cell.h"
#include "obj.h"

void draw_init(void);
void setup_draw_screen(void);
void draw_screen(void);
void draw_snake_callback(snake_unit_t *unit);
void draw_snake_head_callback(snake_unit_t *unit);
void draw_cell_callback(int cx, int cy, cell_t *cell);
void draw_obj_callback(obj_t *obj);
void enable_draw_cell(void);
void disable_draw_cell(void);
int is_draw_cell_enabled(void);
void update_draw_score(void);
void draw_marker_circle(double x, double y, int r);

#endif
