/*
  ゲーム内で使うパラメータ。config.hと異なり変更するとゲームエンジンに影響する値。
*/
#ifndef PARAM_H
#define PARAM_H
#include "config.h"

#define STAGE_NO_LEN 3


#define SNAKE_MAX_LEN 256
#define SNAKE_UNIT_R 16
#define SNAKE_SPEED 16
#define SNAKE_LEN_CLASSIC_DEFAULT 16
#define SNAKE_LEN_UROBOROS_DEFAULT 36
//#define SNAKE_EYE_DEG ((BIN_DEG_RANGLE>>1)+(BIN_DEG_RANGLE>>2))
#define SNAKE_EYE_DEG BIN_DEG_RANGLE

#define CELL_SIZE SNAKE_SPEED
#define CELL_XNUM 36
#define CELL_YNUM CELL_XNUM

#define FIELD_WIDTH (CELL_SIZE*CELL_XNUM)
#define FIELD_HEIGHT (CELL_SIZE*CELL_YNUM) 

//#define FIELD_BORDER_MARGIN (SNAKE_SPEED*2)
#define FIELD_BORDER_MARGIN (SNAKE_SPEED)


#define UROBOROS_TURN_DEG 2

#define SCORE_LEN 8
#define EGG_SCORE 100
#define EGG_FOOD_COUNT 5
#define EGG_NUM 3

#define CHICKPEA_GROW_MAX 5
#define CHICKPEA_GROW_SPEED 20
#define CHICKPEA_SCORE 100
#define CHICKPEA_FOOD_COUNT 5
#define CHICKPEA_NUM 4

#define RAT_NUM 1
#define RAT_SPEED 4
#define RAT_SCORE 50
#define RAT_RESPPAWN_COUNT 100

#define SNAKE_ATTACK_R 100

#define SQ(X) ((X)*(X))        

#endif

